/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 * @format
 * @oncall react_native
 */

import type { Task } from "./types";
import type { ExecaPromise } from "execa";
type AndroidBuildMode = "Debug" | "Release";
type Path = string;
type Args = ReadonlyArray<string>;
type Config = {
  cwd: Path;
  hermes?: boolean;
  mode: AndroidBuildMode;
  name: string;
  newArchitecture?: boolean;
  sdk?: Path;
};
export declare const tasks: (config: Config) => {
  assemble: (...gradleArgs: Args) => { run: Task<ExecaPromise> };
  build: (...gradleArgs: Args) => { run: Task<ExecaPromise> };
  install: (...gradleArgs: Args) => { run: Task<ExecaPromise> };
};
